
    // Already tracked
    var _addIvwIframeTracked = Array();
    
    // Fuegt einen iFrame fuer das ivw-Zaehlpixel hinzu
    //
    var _addIvwIframe = function(data) {
      let wbId = 127232;
      let activeBoard = 0;
      
      if(data && data.activeBoard){
        activeBoard = data.activeBoard;
      }
      
      // Check already tracked
      if(_addIvwIframeTracked.find((i)=>{
        return (i.wbId == wbId && i.activeBoard == activeBoard);
      })){
        return;
      }
      
      // Add tracking code call
      var code = '<iframe class="ivw-iframe" src="/whiteboard/countivw?id=' + wbId + '&ab=' + activeBoard + '" style="display:none;"></iframe>';
      $('.ivw-iframe').remove();
      $('body').append(code);

      // Add as tracked
      _addIvwIframeTracked.push({
        wbId: wbId,
        activeBoard: activeBoard
      });
    }

    // Call first load
    $(document).ready(function(){
      _addIvwIframe();
    } );
    
    // Override setActiveBoard Function Call For Tracking
    //
    var setActiveBoardOrig = setActiveBoard;
    setActiveBoard = function(activeBoard) {
        if(0 < activeBoard){
            let data = {activeBoard: activeBoard}; 
            _addIvwIframe(data);
        }
        return setActiveBoardOrig(activeBoard);
    }
    

create("Cybermobbing", 3.0);

// Home Tafel
var home = setHome(new Board("spaltenweise"));
home.setTitle(`Startseite Cybermobbing`);
home.setInfo(`Startseite

`);

// Tafel Code Start

var home_titelBox = home.addBox(1608, 958, false);
var home_titelBild = new BackgroundImage(100, 0, 1608 * 0.9, 958 * 0.9, "src/img/Tafelbild-Titel_Cybermobbing.png");
home_titelBox.addObject(home_titelBild);


// Tafel Code End


// 1. Tafel
var wic = addBoard(new Board("spaltenweise"));
wic.setTitle(`Was ist Cybermobbing?`);
wic.setInfo(`Lassen Sie Ihre Schülerinnen und Schüler zunächst selbst berichten, wo und wie ihnen Cybermobbing schon einmal begegnet ist bzw. was sie bereits darüber wissen. Erklären Sie anschließend, was man unter Cybermobbing versteht und ziehen Sie die Wortkarten entsprechend auf das Tafelbild.

`);

// Tafel Code Start

var wic_sText1 = `Fertigmachen mit Hilfe verschiedener Medien`;
var wic_sText2 = `Gleiche Absicht wie beim direkten Mobbing`;
var wic_sText3 = `Jede/-r 5. Schüler/-in in Deutschland wird gemobbt`;
var wic_sText4 = `Immer erreichbar`;
var wic_sText5 = `Weltweit öffentlich`;
var wic_sText6 = `Findet in der "unechten", virtuellen Realität statt`;
var wic_bildBox = wic.addBox(1500, 1100, true);
var wic_sliderBox = wic.addBox(1500, 1100, true);
var wic_bild = new BackgroundImage(100, 50, 1500, 1100, "src/img/115846.png");
wic_bildBox.addObject(wic_bild);
var wic_slider1 = new InfoSlider(0, wic_sliderBox, 50, wic_sText1, "rgb(243, 178, 103)", 55, 900, 130);
wic.addObject(wic_slider1);
var wic_slider2 = new InfoSlider(70, wic_sliderBox, 230, wic_sText2, "rgb(253, 218, 122)", 55, 900, 130);
wic.addObject(wic_slider2);
var wic_slider3 = new InfoSlider(120, wic_sliderBox, 410, wic_sText3, "rgb(243, 178, 103)", 55, 900, 130);
wic.addObject(wic_slider3);
var wic_slider4 = new InfoSlider(140, wic_sliderBox, 590, wic_sText4, "rgb(253, 218, 122)", 55, 900, 130);
wic.addObject(wic_slider4);
var wic_slider5 = new InfoSlider(130, wic_sliderBox, 770, wic_sText5, "rgb(243, 178, 103)", 55, 900, 130);
wic.addObject(wic_slider5);
var wic_slider6 = new InfoSlider(0, wic_sliderBox, 950, wic_sText6, "rgb(253, 218, 122)", 55, 900, 130);
wic.addObject(wic_slider6);


// Tafel Code End


// 2. Tafel
var wwc = addBoard(new Board("spaltenweise"));
wwc.setTitle(`Wo und wie findet Cybermobbing statt?`);
wwc.setInfo(`Lassen Sie Ihre Schülerinnen und Schüler auf die einzelnen Bilder am interaktiven Whiteboard oder am Computer klicken. Dahinter befindet sich jeweils ein Beispiel, wie und wo Cybermobbing ablaufen kann.<br/>Sprechen Sie zusammen mit der Klasse über jede einzelne aufgedeckte Aussage. Sammeln Sie noch mehr Beispiele und notieren Sie diese mit der angebotenen Stiftfunktion auf einer leeren Seite.<br/>Beispiele für Cybermobbing:<br/>Corinna hat ihrem Freund, in den sie sehr verliebt war, ein Foto von sich im Bikini geschenkt. Nun ist die Liebe zu Ende, und der Freund verschickt das Foto an alle Bekannten und veröffentlicht es in einer Internet-Community.<br/>Simon wundert sich, warum ihn plötzlich alle im Chat meiden und niemand mehr mit ihm sprechen will. Bis ihm ein Freund steckt, dass im Internet behauptet wird, er sei ein Nazi. Dort gibt es auch ein gefälschtes Bild, das ihn bei einer Demonstration von Neonazis zeigt.

`);

// Tafel Code Start

var wwc_text1 = "In Chats pöbeln oder Geheimnisse ausplaudern.";
var wwc_text2 = "Gerüchte in die Welt setzen.";
var wwc_text3 = "Peinliche Fotos und Videos in Umlauf bringen.";
var wwc_text4 = "Beleidigungen z.B. per Handy aussprechen.";
var wwc_text5 = "In Online-Netzwerken z.B. Hass-Gruppen gründen.";
var wwc_text6 = "Sich eine falsche Identität zulegen und jemandem vorspielen, z.B. dass man in ihn/sie verliebt ist.";
var wwc_text7 = "Die Identität eines anderen annehmen oder vorspielen und damit andere täuschen oder verletzen.";
var wwc_text8 = "Jemanden dazu bringen, etwas Verbotenes zu tun.";
var wwc_box = wwc.addBox(1850, 850, true);
var wwc_card1 = new Card(50,0,420,400,'src/img/115852.png', wwc_text1);
var wwc_card2 = new Card(500,0,420,400,'src/img/115853.png', wwc_text2);
var wwc_card3 = new Card(950,0,420,400,'src/img/115854.png', wwc_text3);
var wwc_card4 = new Card(1400,0,420,400,'src/img/115855.png', wwc_text4);
var wwc_card5 = new Card(50,450,420,400,'src/img/115856.png', wwc_text5);
var wwc_card6 = new Card(500,450,420,400,'src/img/115857.png', wwc_text6);
var wwc_card7 = new Card(950,450,420,400,'src/img/115858.png', wwc_text7);
var wwc_card8 = new Card(1400,450,420,400,'src/img/115859.png', wwc_text8);
wwc_box.addObject(wwc_card1);
wwc_card1.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card2);
wwc_card2.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card3);
wwc_card3.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card4);
wwc_card4.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card5);
wwc_card5.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card6);
wwc_card6.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card7);
wwc_card7.setBackgroundColor("rgba(255,255,255,0.75)");
wwc_box.addObject(wwc_card8);
wwc_card8.setBackgroundColor("rgba(255,255,255,0.75)");
//Folie 3: Link einfügen https://www.klicksafe.de/cybermobbing
var wwc_linkBox = wwc.addBox(1000, 100, false);
var wwc_link1 = `<a class='typ-link ga-link' href='https://www.klicksafe.de/cybermobbing' target='_blank' rel='noopener noreferrer'>Weitere Informationen und Begriffserklärungen zum Thema</a>`;
var wwc_link1BgText = new BackgroundText(100, 10, 500, 100, wwc_link1);
wwc_linkBox.addObject(wwc_link1BgText);


// Tafel Code End


// 3. Tafel
var wwg = addBoard(new Board("zeilenweise"));
wwg.setTitle(`Wer mobbt, wer wird gemobbt?`);
wwg.setInfo(`Sprechen Sie mit den Schülerinnen und Schülern über die Rollen von Täter/-innen und Opfern. Blenden Sie danach die beiden Rollen mit einem Mausklick ein. Lassen Sie die einzelnen Merkmale anschließend von den Schülerinnen und Schülern Täter/-in oder Opfer zuordnen. <br/>Diskutieren Sie jeweils über die Aussagen.

`);

// Tafel Code Start

var wwg_sText1 = 'Bearbeitet Fotos gut';
var wwg_sText2 = 'Hat Angstzustände';
var wwg_sText3 = 'Wird von anderen belächelt';
var wwg_sText4 = 'Wird Tag und Nacht mit Nachrichten belästigt';
var wwg_sText5 = 'Stellt unrealistische Situationen dar';
var wwg_sText6 = 'Stachelt andere zum Mitmachen an';
var wwg_sText7 = 'Erhält anonyme Anrufe';
var wwg_sText8 = 'Über sie/ihn stehen Unwahrheiten im Netz';
var wwg_sText9 = 'Erhält anonyme E-Mails';
var wwg_sText10 = 'Fühlt sich permanent bedrängt';
var wwg_bilderBox = wwg.addBox(2116, 875, true);
var wwg_kartenBox = wwg.addBox(2116, 300, true);
var wwg_assignment = new Assignment("assignment", 40);
var wwg_col1_posx = 240;
var wwg_col2_posx = 1740;
var wwg_posy = (rowNumber) => rowNumber * 80 + 200;
wwg_assignment.addPiece(wwg_sText2, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 640, 0, wwg_bilderBox, wwg_col1_posx, wwg_posy(1), []);
wwg_assignment.addPiece(wwg_sText3, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 980, 0, wwg_bilderBox, wwg_col1_posx, wwg_posy(2), []);
wwg_assignment.addPiece(wwg_sText7, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 640, 120, wwg_bilderBox, wwg_col1_posx, wwg_posy(3), []);
wwg_assignment.addPiece(wwg_sText10, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 1660, 120, wwg_bilderBox, wwg_col1_posx, wwg_posy(4), []);
wwg_assignment.addPiece(wwg_sText9, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 1320, 120, wwg_bilderBox, wwg_col1_posx, wwg_posy(5), []);
wwg_assignment.addPiece(wwg_sText8, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 980, 120, wwg_bilderBox, wwg_col1_posx, wwg_posy(6), []);
wwg_assignment.addPiece(wwg_sText4, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 1320, 0, wwg_bilderBox, wwg_col1_posx, wwg_posy(7), []);
wwg_assignment.addPiece(wwg_sText1, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 300, 0, wwg_bilderBox, wwg_col2_posx, wwg_posy(1), []);
wwg_assignment.addPiece(wwg_sText5, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 1660, 0, wwg_bilderBox, wwg_col2_posx, wwg_posy(2), []);
wwg_assignment.addPiece(wwg_sText6, 300, 80, 30, "rgb(50, 197, 249)", wwg_kartenBox, 300, 120, wwg_bilderBox, wwg_col2_posx, wwg_posy(3), []);
wwg_assignment.addBackgroundImage("src/img/115848.png", 0, 100, 2116, 875, wwg_bilderBox, false);
wwg_kartenBox.addObject(wwg_assignment);
var ut = new UncoverText(0, 100, 2116, 875, "src/img/115848.png");
wwg_bilderBox.addObject(ut);
ut.addText(200, 150, 270, 100, "Opfer", 60);
ut.addText(1700, 150, 270, 100, "Täter", 60);


// Tafel Code End


// 4. Tafel
var wsc = addBoard(new Board("spaltenweise"));
wsc.setTitle(`Wie kann ich mich vor Cybermobbing schützen?`);
wsc.setInfo(`Die Schülerinnen und Schüler sollen zunächst selbst einige Vorschläge machen, wie sie sich gegen Cybermobbing schützen können. Blenden Sie nacheinander die verschiedenen Ratschläge ein und sprechen Sie darüber. Welche weiteren Tipps fallen den Lernenden ein? Tragen Sie diese zusammen.

`);

// Tafel Code Start

var wsc_bildBox = wsc.addBox(1765+150, 1177+100, true);
//var wsc_bild = new BackgroundImage(50, 0, 1765, 1177, "src/img/115849.png");
//wsc_bildBox.addObject(wsc_bild);
var ut = new UncoverText(900, 0, 1765, 1177, "src/img/115849.png");
wsc.addObject(ut);
ut.addText(100, 150, 370, 200, "Handynummer nur an enge Freunde und vertrauensvolle Personen geben", 40);
ut.addText(100, 550, 370, 200, "Identität bei Messenger-Programmen nur an Freunde weitergeben", 40);
ut.addText(100, 950, 370, 200, "Sicherheitsregeln in Online-Netzwerken genau studieren", 40);
ut.addText(1500, 150, 370, 200, "Keine Zugangsdaten für E-Mails weitergeben", 40);
ut.addText(1500, 550, 370, 200, "Bilder und Videos überlegt ins Internet stellen", 40);
ut.addText(1500, 950, 370, 200, "Zwischendurch nach dem eigenen Namen in Suchmaschinen suchen", 40);
// Link einfügen https://www.hanisauland.de/wissen/spezial/miteinander/mobbing/mobbing-kapitel-3.html/mobbing-kapitel-1008.html
var wsc_linkBox = wsc.addBox(1400, 200, false);
var wsc_link1 = `<a class='typ-link ga-link' href='https://www.hanisauland.de/wissen/spezial/miteinander/mobbing/mobbing-kapitel-3.html/mobbing-kapitel-1008.html' target='_blank' rel='noopener noreferrer'>Beschreibung zu den einzelnen Ratschlägen</a>`;
var wsc_link1BgText = new BackgroundText(800, 0, 500, 100, wsc_link1);
wsc_linkBox.addObject(wsc_link1BgText);


// Tafel Code End


// 5. Tafel
var wcw = addBoard(new Board("spaltenweise"));
wcw.setTitle(`Wie kann ich mich gegen Cybermobbing wehren?`);
wcw.setInfo(`Lassen Sie durch Mausklick auf die einzelnen Pakete Lösungen anzeigen, wie man sich gegen Cybermobbing wehren kann. Diskutieren Sie mit den Schülerinnen und Schülern über die einzelnen Lösungsmöglichkeiten.<br/>Hintergrundinformationen:<br/>Wenn man in einer Internet-Community, einem Chat oder in einem Forum beleidigt wurde, sollte man sich an die Moderierenden oder den Anbieter des Chats wenden. Man schildert das Vorgefallene und fordert den Anbieter auf, diese Beiträge zu löschen. Darauf hat man ein Recht, das hat sogar das Bundesverfassungsgericht entschieden! Auch hier braucht man vermutlich Hilfe von Erwachsenen, wenn das Mobbing nicht aufhört, können die Anbieter der Community oder die Chatbetreiber einen Mobber sperren.<br/>In manchen Communities oder Plattformen kann man zwar seine Identität nicht ändern, aber den Sicherheitsstatus überprüfen und die Mobbenden auf "Ignorieren" schalten.<br/>Wenn jemand auf einer Video-Plattform ein peinliches Video über einen Dritten eingestellt hat, kann man möglicherweise herausfinden, von wem es stammt. In einem Brief können die Täterinnen und Täter auf das Mobbing hingewiesen werden. Beim Anbieter der Plattform kann man ebenfalls verlangen, dass das Video gelöscht wird. So lassen sich diese Inhalte (zumindest teilweise) aus dem Internet entfernen. Hierbei sollte man sich auf jeden Fall von Erwachsenen helfen lassen!

`);

// Tafel Code Start

var wcw_text1 = "Hilfe von Erwachsenen annehmen";
var wcw_text2 = "Handy-Nummer wechseln";
var wcw_text3 = "E-Mail-Adresse wechseln";
var wcw_text4 = "Alte E-Mail-Adresse löschen";
var wcw_text5 = "Zugangsdaten von sozialen Netzwerken ändern und alte Daten löschen lassen";
var wcw_text6 = "Zugangsdaten von Messenger-Diensten ändern und alte Daten löschen lassen";
var wcw_text7 = "Wenn möglich private Videos und Bilder im Netz löschen lassen";
var wcw_text8 = "Bei Beleidigungen im Chat den Moderator/die Moderatorin informieren";
var wcw_text9 = "Bei harten Fällen die Polizei aufsuchen";
var wcw_box = wcw.addBox(2000, 1200, true);
var wcw_card1 = new Card(0,100,305,290,'src/img/115871.png', wcw_text1);
var wcw_card2 = new Card(350,100,305,290,'src/img/115872.png', wcw_text2);
var wcw_card3 = new Card(700,100,305,290,'src/img/115873.png', wcw_text3);
var wcw_card4 = new Card(0,450,305,290,'src/img/115874.png', wcw_text4);
var wcw_card5 = new Card(350,450,305,290,'src/img/115875.png', wcw_text5);
var wcw_card6 = new Card(700,450,305,290,'src/img/115876.png', wcw_text6);
var wcw_card7 = new Card(0,800,305,290,'src/img/115877.png', wcw_text7);
var wcw_card8 = new Card(350,800,305,290,'src/img/115878.png', wcw_text8);
var wcw_card9 = new Card(700,800,305,290,'src/img/115879.png', wcw_text9);
wcw_box.addObject(wcw_card1);
wcw_card1.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card2);
wcw_card2.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card3);
wcw_card3.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card4);
wcw_card4.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card5);
wcw_card5.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card6);
wcw_card6.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card7);
wcw_card7.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card8);
wcw_card8.setBackgroundColor("rgba(255,255,255,0.75)");
wcw_box.addObject(wcw_card9);
wcw_card9.setBackgroundColor("rgba(255,255,255,0.75)");
//Projekt "Mobbing - Schluss damit!" https://mobbing-schluss-damit.de/
//Comic "Fertigmachen ist tabu" https://www.handysektor.de/fileadmin/user_upload/downloads/fertigmachen_ist_tabu.pdf
//Mitreden, mitmachen https://www.internet-abc.de/kinder/mitreden-mitmachen/themenmonate/cybermobbing/
//Cybermobbing  https://www.klicksafe.de/cybermobbing
var wcw_linkBox = wcw.addBox(2000, 300, false);
var wcw_link1 = `<a class='typ-link ga-link' href='https://mobbing-schluss-damit.de/' target='_blank' rel='noopener noreferrer'>Projekt "Mobbing - Schluss damit!"</a>`;
var wcw_link1BgText = new BackgroundText(1000, 0, 900, 100, wcw_link1);
wcw_linkBox.addObject(wcw_link1BgText);
var wcw_link2 = `<a class='typ-link ga-link' href='https://www.handysektor.de/artikel/comic-fertigmachen-ist-tabu/' target='_blank' rel='noopener noreferrer'>Comic: Fertigmachen ist Tabu</a>`;
var wcw_link2BgText = new BackgroundText(1000, 50, 700, 100, wcw_link2);
wcw_linkBox.addObject(wcw_link2BgText);
var wcw_link3 = `<a class='typ-link ga-link' href='https://www.internet-abc.de/kinder/mitreden-mitmachen/themenmonate/cybermobbing/' target='_blank' rel='noopener noreferrer'>Mitreden, mitmachen</a>`;
var wcw_link3BgText = new BackgroundText(1000, 100, 600, 100, wcw_link3);
wcw_linkBox.addObject(wcw_link3BgText);
var wcw_link4 = `<a class='typ-link ga-link' href='https://www.klicksafe.de/cybermobbing' target='_blank' rel='noopener noreferrer'>Cybermobbing</a>`;
var wcw_link4BgText = new BackgroundText(1000, 150, 600, 100, wcw_link4);
wcw_linkBox.addObject(wcw_link4BgText);


// Tafel Code End


// 6. Tafel
var ggc = addBoard(new Board("spaltenweise"));
ggc.setTitle(`Gibt es Gesetze gegen Cybermobbing?`);
ggc.setInfo(`Blenden Sie die erste Aussage ein. Diskutieren Sie mit Ihren Schülern und Schülerinnen über diese Aussage. Blenden Sie nun die zweite Aussage ein. Sprechen Sie über die Verletzung der Persönlichkeitsrechte und machen Sie Ihren Schülerinnen und Schülern klar, dass diese auch im Internet und bei anderen Medien gelten.<br/>Hintergrundinformationen: Wer in einem Forum oder einem Chat schreibt, eine Klassenkameradin sei bescheuert und völlig zu Recht ein Opfer, kann Ärger bekommen, wenn die Betroffene das bei der Polizei anzeigt. Denn die Polizei kann mit Hilfe der Anbieter von Chats oder Foren die IP-Adresse des Computers der Mobbenden erfahren und darüber die Täterinnen und Täter ermitteln.<br/>Wer sich dann auf sein Grundrecht auf freie Meinungsäußerung beruft, kann schlechte Karten haben. Denn dieses Recht hört genau da auf, wo die Freiheit des anderen beginnt. Dem Recht auf freie Meinungsäußerung steht etwa das Recht auf den Schutz seiner Persönlichkeit und seines höchstpersönlichen Lebensbereichs entgegen. Wird es verletzt, müssen sich das die Betroffenen nicht gefallen lassen.<br/>Übrigens: In Großbritannien ist im August 2009 zum ersten Mal eine Jugendliche wegen Cybermobbings verurteilt worden!

`);

// Tafel Code Start

var ggc_sText1 = `Es gibt kein Gesetz in Deutschland gegen Cybermobbing!`;
var ggc_sText2=`
Aber:
Gesetze gegen Beleidigungen, Verleumdung,
üble Nachrede, Drohung, Erpressung, Nötigung und
jede Verletzung des Perönlichkeitsrechts können
verfolgt und geahndet werden.
`;
var ggc_bildBox = ggc.addBox(894+100, 1122, true);
var ggc_sliderBox = ggc.addBox(894+100, 1122, true);
var ggc_bild = new BackgroundImage(0, 100, 984, 922, "src/img/115851.png");
ggc_bildBox.addObject(ggc_bild);
var ggc_slider1 = new InfoSlider(0, ggc_sliderBox, 120, ggc_sText1, "rgb(243, 178, 103)", 55, 900, 300);
ggc.addObject(ggc_slider1);
var ggc_slider2 = new InfoSlider(0, ggc_sliderBox, 500, ggc_sText2, "rgb(253, 218, 122)", 55, 900, 550);
ggc.addObject(ggc_slider2);


// Tafel Code End


